#!/usr/bin/env ruby
#
# amaroK Script for fetching song lyrics from http://lyrc.com.ar.
# Ported from amaroK's contextbrowser.cpp.
#
# (c) 2006 Mark Kretschmann <markey@web.de>
# (c) 2004 Christian Muehlhaeuser <chris@chris.de>
# (c) 2005 Reigo Reinmets <xatax@hot.ee>
# (c) 2005 Alexandre Pereira de Oliveira <aleprj@gmail.com>
#
# License: GNU General Public License V2


@app_name = "PlayVideos"

`dcop amarok script addCustomMenuItem "PlayVideos" "Play"`

loop do
    message = gets().chomp()
    command = /[A-Za-z]*/.match( message ).to_s()

    case command
        when "configure"
            msg  = 'This script does not require any configuration.'
            `dcop amarok playlist popupMessage "#{msg}"`

        when "customMenuClicked"
            args = message.split()
	    	itemtitle = args[2];
	    	submenu = args[1];
	    	url = args[3];

			if submenu == "PlayVideos" and itemtitle == "Play" then
			    `kmplayer "#{url}"`
			end

    end
end

